// 大気圧センサLPS25H(SPI接続)のテスト
#include <SPI.h>
#include "skLPSxxSPI.h"

skLPSxxx LPS(LPS25H,SS) ;     // デバイスはLPS25Hを指定、SS=10

void setup()
{
     int ans ;

     // シリアルモニターの設定
     Serial.begin(9600) ;
     // ＳＰＩの初期化
     SPI.begin() ;                           // ＳＰＩを行う為の初期化
     SPI.setBitOrder(MSBFIRST) ;             // ビットオーダー
     SPI.setClockDivider(SPI_CLOCK_DIV4) ;   // クロック(CLK)をシステムクロックの1/4で使用(16MHz/4)
     SPI.setDataMode(SPI_MODE3) ;            // クロック極性 1(HIGH)　クロック位相 1(HIGH)

     delay(3000) ;                           // 3Sしたら開始
     // 気圧センサの初期化を行う(更新速度は1Hz)
     ans = LPS.PressureInit() ;
     if (ans == 0) Serial.println("Initialization normal") ;
     else {
          Serial.print("Initialization abnormal ans=") ;
          Serial.println(ans) ;
     }
     delay(1000) ;
}
void loop()
{
     LPS.PressureRead() ;               // 圧力と温度を読み出す
     Serial.print("[LPS25H]") ;
     Serial.print(Press) ;              // 気圧値の表示を行う
     Serial.print(" hPa  ") ;
     Serial.print(Temp) ;               // 温度の表示を行う
     Serial.println(" 'C") ;

     delay(1000) ;                      // １秒後に繰り返す
}
